Bug 5103 - [UPDATE REQUEST] systemd, plymouth
: [UPDATE REQUEST] systemd, plymouth
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Highest blocker
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on: 5011
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-26 19:18 MSK by Arkady L. Shane
Modified: 2015-03-02 17:58 MSK (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 FirstLevel 2015-02-27 09:27:38 MSK
32bit Virtual machine

-- old --
[root@r5-32 ~]# dmesg | grep failed
[    0.000000] tsc: Fast TSC calibration failed
[    0.261164] acpi PNP0A03:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
[   19.738095] systemd[1]: Unit cpupower.service entered failed state.
[   22.037115] systemd[1]: Unit lm_sensors.service entered failed state.
[root@r5-32 ~]# 


[root@r5-32 ~]# systemctl | grep failed
cpupower.service                                                                         loaded failed failed    Configure CPU power related settings
lm_sensors.service                                                                       loaded failed failed    Initialize hardware monitoring sensors
systemd-tmpfiles-setup.service                                                           loaded failed failed    Create Volatile Files and Directories
[root@r5-32 ~]# 

plug container and update - ok

-- new --
[root@r5-32 ~]# dmesg | grep failed
[    0.000000] tsc: Fast TSC calibration failed
[    0.258749] acpi PNP0A03:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
[root@r5-32 ~]# systemctl | grep failed
cpupower.service                                                                         loaded failed failed    Configure CPU power related settings
lm_sensors.service                                                                       loaded failed failed    Initialize hardware monitoring sensors
[root@r5-32 ~]#
Comment 2 FirstLevel 2015-02-27 09:37:20 MSK
64bit virtual machine

-- old --
[root@r5-64 ~]# dmesg | grep failed
[    0.000000] tsc: Fast TSC calibration failed
[    0.172000] acpi PNP0A03:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
[root@r5-64 ~]# systemctl | grep failed
cpupower.service                                                                         loaded failed failed    Configure CPU power related settings
lm_sensors.service                                                                       loaded failed failed    Initialize hardware monitoring sensors
[root@r5-64 ~]# 

plug container and update - ok

-- new --

[root@r5-64 ~]# dmesg | grep failed
[    0.168016] acpi PNP0A03:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
[root@r5-64 ~]# systemctl | grep failed
cpupower.service                                                                         loaded failed failed    Configure CPU power related settings
lm_sensors.service                                                                       loaded failed failed    Initialize hardware monitoring sensors
[root@r5-64 ~]#
Comment 3 FirstLevel 2015-02-27 09:51:10 MSK
32bit real hardware
-- old --
[root@r5-32 ~]# dmesg | grep failed
[    0.584715] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node f082dcc0), AE_NOT_FOUND (20131218/psparse-536)
[    0.584735] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node f082dcc0), AE_NOT_FOUND (20131218/psparse-536)
[    0.584763] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node f082dcc0), AE_NOT_FOUND (20131218/psparse-536)
[    0.588978] acpi PNP0A08:00: _OSC failed (AE_SUPPORT); disabling ASPM
[    0.602516] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node f082dcc0), AE_NOT_FOUND (20131218/psparse-536)
[    0.629670] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node f082dcc0), AE_NOT_FOUND (20131218/psparse-536)
[   25.184573] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node f082dcc0), AE_NOT_FOUND (20131218/psparse-536)
[   25.206301] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node f082dcc0), AE_NOT_FOUND (20131218/psparse-536)
[root@r5-32 ~]# systemctl | grep failed
cpupower.service                                                                          loaded failed failed    Configure CPU power related settings
fedora-loadmodules.service                                                                loaded failed failed    Load legacy module configuration
systemd-tmpfiles-setup.service                                                            loaded failed failed    Create Volatile Files and Directories
vboxadd-timesync.service                                                                  loaded failed failed    LSB: VirtualBox Additions Service
[root@r5-32 ~]# 


plug container and update - ok

-- new --
[root@r5-32 ~]# dmesg | grep failed
[    0.584702] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node f082dcc0), AE_NOT_FOUND (20131218/psparse-536)
[    0.584722] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node f082dcc0), AE_NOT_FOUND (20131218/psparse-536)
[    0.584750] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node f082dcc0), AE_NOT_FOUND (20131218/psparse-536)
[    0.588958] acpi PNP0A08:00: _OSC failed (AE_SUPPORT); disabling ASPM
[    0.601465] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node f082dcc0), AE_NOT_FOUND (20131218/psparse-536)
[    0.628366] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node f082dcc0), AE_NOT_FOUND (20131218/psparse-536)
[    7.690528] systemd[1]: Unit fedora-loadmodules.service entered failed state.
[   24.716731] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node f082dcc0), AE_NOT_FOUND (20131218/psparse-536)
[   24.883159] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node f082dcc0), AE_NOT_FOUND (20131218/psparse-536)
[root@r5-32 ~]# systemctl | grep failed
cpupower.service                                                                          loaded failed failed    Configure CPU power related settings
fedora-loadmodules.service                                                                loaded failed failed    Load legacy module configuration
vboxadd-timesync.service                                                                  loaded failed failed    LSB: VirtualBox Additions Service
[root@r5-32 ~]#
Comment 4 FirstLevel 2015-02-27 10:01:48 MSK
64bit real hardware

-- old --
[root@r5-64 ~]# dmesg | grep failed
[    0.468305] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node ffff8801b8836000), AE_NOT_FOUND (20131218/psparse-536)
[    0.468322] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node ffff8801b8836000), AE_NOT_FOUND (20131218/psparse-536)
[    0.468344] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node ffff8801b8836000), AE_NOT_FOUND (20131218/psparse-536)
[    0.471706] acpi PNP0A08:00: _OSC failed (AE_SUPPORT); disabling ASPM
[    0.483332] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node ffff8801b8836000), AE_NOT_FOUND (20131218/psparse-536)
[    0.509099] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node ffff8801b8836000), AE_NOT_FOUND (20131218/psparse-536)
[   12.844252] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node ffff8801b8836000), AE_NOT_FOUND (20131218/psparse-536)
[   12.847506] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node ffff8801b8836000), AE_NOT_FOUND (20131218/psparse-536)
[root@r5-64 ~]# systemctl | grep failed
cpupower.service                                                                          loaded failed failed    Configure CPU power related settings
fedora-loadmodules.service                                                                loaded failed failed    Load legacy module configuration
vboxadd-timesync.service                                                                  loaded failed failed    LSB: VirtualBox Additions Service
[root@r5-64 ~]# 



plug container and update - ok


-- new --
[root@r5-64 ~]# dmesg | grep failed
[    0.469173] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node ffff8801b8836000), AE_NOT_FOUND (20131218/psparse-536)
[    0.469191] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node ffff8801b8836000), AE_NOT_FOUND (20131218/psparse-536)
[    0.469213] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node ffff8801b8836000), AE_NOT_FOUND (20131218/psparse-536)
[    0.472548] acpi PNP0A08:00: _OSC failed (AE_SUPPORT); disabling ASPM
[    0.484323] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node ffff8801b8836000), AE_NOT_FOUND (20131218/psparse-536)
[    0.510161] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node ffff8801b8836000), AE_NOT_FOUND (20131218/psparse-536)
[   12.803474] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node ffff8801b8836000), AE_NOT_FOUND (20131218/psparse-536)
[   12.806821] ACPI Error: Method parse/execution failed [\_SB_.PCI0.SATA.PRT1._STA] (Node ffff8801b8836000), AE_NOT_FOUND (20131218/psparse-536)
[root@r5-64 ~]# systemctl | grep failed
cpupower.service                                                                          loaded failed failed    Configure CPU power related settings
fedora-loadmodules.service                                                                loaded failed failed    Load legacy module configuration
vboxadd-timesync.service                                                                  loaded failed failed    LSB: VirtualBox Additions Service
[root@r5-64 ~]#
Comment 5 Eugene Shatokhin 2015-02-27 10:26:03 MSK
No regressions so far on HP Pavilion dv 7 (ROSA R5 KDE x64), ThinkPad x230 (ROSA R5 KDE x64), ASUS EeePC 1015 PED (ROSA R5 KDE i586).

Network services start, stop & restart OK.
Suspend-to-RAM, hibernate, hybrid sleep - OK.

Nothing new & suspicious in the logs.
Comment 6 Vladimir Potapov 2015-02-27 19:00:04 MSK
systemd-208-38.1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2441872/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2441873/x86_64/main/release/

plymouth-0.8.9-13
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2442134/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2442135/x86_64/main/release/

*********************** Advisory ***********************
systemd: dbus services should be symlinks. Fix bug#5011
plymouth^ plymouth - revert patch https://abf.rosalinux.ru/import/plymouth/commit/eb6770825540e7c4a9f1ced034ab732baaca48f2
It does not need with new systemd
*******************************************************
QA Verified